Subject: [Mpowr] RE: [Solutions] Further work on WG (chair) roles - MPOWR WG proposal

From: [email-masked]
Date: Tue, 9 Dec 2003 19:12:45 -0500

Hi Scott, 
> I do think that a focused discussion on the role of the WG 
> (and WG chair) in the context of the IETF process is a "good 
> idea." And, I think that having that discussion in the context 
> of an IETF  WG is a reasonable way to proceed but I'd rather 
> not define the output in the charter before the discussion 
> starts.

I agree.  So, let's start this discussion on the [email-masked]
mailing list, and see if we can decide (together as a community)
whether we need a WG in this area and, if so, what the charter
for that WG should be.
> 
> I do not think that the is IETF consensus on what the role of 
> the WG (and chairs) *currently* is relative to ADs and the IESG 
> so it seems getting ahead of the discussion by quite a bit to 
> assume that the relationship needs to change.

I continue to agree.

> Lets figure out what we want the roles to be and clearly document them
> (if indeed "clearly document" is felt to be a good thing - flexibility
> can be very helpful sometimes)

This sounds like a reasonable place to start to me.

> then someone (historians?) can figure out in retrospect if doing that 
> resulted in a power shift and if it did, what direction the shift was.

I'm not sure that it matters, historically, whether there has
been a power shift over time.

Instead, I think we should focus (after reaching a common 
uncerstanding on what our current state actually is) on whether
the current model is working well enough or needs to be fixed
in some way.

Margaret

_______________________________________________
Mpowr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpowr

---

From: [email-masked]
Date: Fri, 12 Dec 2003 15:57:01 -0500

Hi Pete,

> Right now any AD can, of his or her own choosing and without any 
> change in 2026 or 2418, decide to make their WG chairs responsible 
> for the technical writeup of documents, resolving last call issues, 
> and shepherding of the document through the IESG including resolving 
> discuss issues. An AD can choose to do this now without asking the 
> IETF for any consensus whatsoever.
> 
> Personally, I think this would be a good thing for an AD to do 
> anyway. It certainly has every appearance of addressing the workload 
> problem and some more of the transparency problem.
> 
> This is not worthy of a WG. It is worthy of implementation.

I mostly agree with you.

These types of changes do fall completely within the scope of
our current BCPs.  However, they can't be implemented on an 
IETF-wide basis "right now", because they are not supported by 
our current IESG-secretariat procedures, nor are they well-supported 
by our tools.  

We will need some procedural and tools changes to support this
shift, and those are the types of changes that I expect the 
PROTO Team to propose to the IESG.  We can (and will) make these
changes as quickly as we can, while also being prudent and careful.

> Having discussions on whether or not it would be a good idea to 
> increase the powers and authority of a WG or WG chair might be 
> interesting. Having ongoing discussions to decide whether or not 
> increasing the responsibilities of WG chairs is working out (once 
> started; see previous paragraph) is fine. But forming a WG when there 
> is no need for documentation of some of these straightforward 
> procedural changes is, IMO, silly. Forming a WG to produce a document 
> to discuss this is simply delaying, and delay is something we've seen 
> more than enough of.

The discussion of this WG, and its possible formation, is 
not expected to delay the work of the PROTO Team.

Some people believe that we need changes to RFCs 2418 and/or
2026 to modernize, clarify or modify the roles of WG chairs,
ADs, etc.  If there is community consensus that these types
of changes are needed, that is what the WG will work on.

IMO, this is a lower priority effort than making the changes 
to our IESG-Secretariat procedures and tools that will allow
us to give WGs (through WG chairs) more visibility and control
over their documents in the later document phases. 

Margaret

mpowr mailing list
[email-masked]

---

From: [email-masked]
Date: Sat, 13 Dec 2003 07:54:42 +0200

Pete,

> IETF for any consensus whatsoever.

One reason for formalizing this would be to avoid some arbitrary-ness
in interpreting how WGs are run in different areas, or when 
ADs change.  It is already noticable that different areas are
run quite different in the IETF from each other.  On most topics,
it isn't a bid deal, but I do think we are running into some 
problems because of it, and it does effect the document quality
& speed at which some documents get completed.

John

---

From: [email-masked]
Date: Sat, 13 Dec 2003 07:50:37 +0200

Jim,

> This is a recipe for driving people away. If you give someone the
> responsibility to do something, they better have the authority to accomplish
> the task. Otherwise, who would take the job?

I agree with you - to put it another way - who would want
the job with more stuff to do (i.e. - responsibility) but
no more ability to get it done (i.e. - authority).

John